org.apache.hadoop.mapred

## Class Master

- java.lang.Object
- - org.apache.hadoop.mapred.Master

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class Master
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Master.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Master()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getMasterAddress(org.apache.hadoop.conf.Configuration conf)`
    `static String` | `getMasterPrincipal(org.apache.hadoop.conf.Configuration conf)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Master

          public Master()

  - ### Method Detail

    - #### getMasterAddress

          public static String getMasterAddress(org.apache.hadoop.conf.Configuration conf)

    - #### getMasterPrincipal

          public static String getMasterPrincipal(org.apache.hadoop.conf.Configuration conf)
                                           throws IOException

      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.